com.amazonaws.codegen.protocol

## Class BaseJsonProtocolMetadataProvider

- java.lang.Object
- - com.amazonaws.codegen.protocol.BaseProtocolMetadataProvider
  - - com.amazonaws.codegen.protocol.BaseJsonProtocolMetadataProvider

All Implemented Interfaces:
  ProtocolMetadataProvider

Direct Known Subclasses:
  AwsCborProtocolMetadataProvider, AwsJsonProtocolMetadataProvider, IonProtocolMetadataProvider, RestJsonProtocolMetdataProvider

    public abstract class BaseJsonProtocolMetadataProvider
    extends BaseProtocolMetadataProvider

Base class for all JSON based protocols. This includes `AwsCborProtocolMetadataProvider`.

### Constructor Summary

Constructors
Constructor and Description
`BaseJsonProtocolMetadataProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getExceptionUnmarshallerImpl()`
`String` `getUnmarshallerClassSuffix()`
`String` `getUnmarshallerContextClassName()`
`boolean` `isJsonProtocol()` Default is false, subclasses can override to indicate they are JSON protocols.

### Methods inherited from class com.amazonaws.codegen.protocol.BaseProtocolMetadataProvider

`getBaseExceptionFqcn, getContentType, getRequestBaseFqcn, isCborProtocol, isIonProtocol, isXmlProtocol`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BaseJsonProtocolMetadataProvider

    public BaseJsonProtocolMetadataProvider()

### Method Detail

#### isJsonProtocol

    public boolean isJsonProtocol()

Description copied from class: `BaseProtocolMetadataProvider`
Default is false, subclasses can override to indicate they are JSON protocols.

Specified by:
  `isJsonProtocol` in interface `ProtocolMetadataProvider`
Overrides:
  `isJsonProtocol` in class `BaseProtocolMetadataProvider`
Returns:
  True if protocol uses some form of JSON wire format. False otherwise.

#### getUnmarshallerContextClassName

    public String getUnmarshallerContextClassName()

Returns:
  The name of the Unmarshaller Context class used by the generated unmarshaller classes.

#### getUnmarshallerClassSuffix

    public String getUnmarshallerClassSuffix()

Returns:
  The suffix for generated unmarshaller classes. I.e. FooStaxUnmarshaller or FooJsonUnmarshaller.

#### getExceptionUnmarshallerImpl

    public String getExceptionUnmarshallerImpl()

Returns:
  Exception unmarshaller is generic in JSON based protocols and completely encapsulated from the client.